com.holonplatform.http.internal

## Class CacheControlDirectives

- java.lang.Object
- - com.holonplatform.http.internal.CacheControlDirectives

- All Implemented Interfaces:
    CacheControl, Serializable

      public class CacheControlDirectives
      extends Object
      implements CacheControl

  Default `CacheControl` implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CacheControlDirectives.CacheControlBuilder`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.CacheControl

      `CacheControl.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheControlDirectives()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `asHeader()` Returns the cache-control directives as HTTP header value
    `long` | `getMaxAge()` Get the max-age cache control directive.
    `long` | `getSMaxAge()` Get the s-maxage cache control directive.
    `boolean` | `isMustRevalidate()` Get the must-revalidate cache control directive.
    `boolean` | `isNoCache()` Get the no-cache cache control directive.
    `boolean` | `isNoStore()` Get the no-store cache control directive.
    `boolean` | `isNoTransform()` Get the no-transform cache control directive.
    `boolean` | `isPrivate()` Get the private cache control directive.
    `boolean` | `isProxyRevalidate()` Get the proxy-revalidate cache control directive.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.http.CacheControl

      `builder`

- - ### Constructor Detail

    - #### CacheControlDirectives

          public CacheControlDirectives()

  - ### Method Detail

    - #### isMustRevalidate

          public boolean isMustRevalidate()

      Description copied from interface: `CacheControl`
      Get the must-revalidate cache control directive.
      Specified by:
        `isMustRevalidate` in interface `CacheControl`
      Returns:
        true if the must-revalidate cache control directive will be included in header

    - #### isProxyRevalidate

          public boolean isProxyRevalidate()

      Description copied from interface: `CacheControl`
      Get the proxy-revalidate cache control directive.
      Specified by:
        `isProxyRevalidate` in interface `CacheControl`
      Returns:
        true if the proxy-revalidate cache control directive will be included in header

    - #### getMaxAge

          public long getMaxAge()

      Description copied from interface: `CacheControl`
      Get the max-age cache control directive.
      Specified by:
        `getMaxAge` in interface `CacheControl`
      Returns:
        the value of the max-age cache control directive, -1 if the directive is disabled

    - #### getSMaxAge

          public long getSMaxAge()

      Description copied from interface: `CacheControl`
      Get the s-maxage cache control directive.
      Specified by:
        `getSMaxAge` in interface `CacheControl`
      Returns:
        the value of the s-maxage cache control directive, -1 if the directive is disabled

    - #### isNoCache

          public boolean isNoCache()

      Description copied from interface: `CacheControl`
      Get the no-cache cache control directive.
      Specified by:
        `isNoCache` in interface `CacheControl`
      Returns:
        true if the no-cache cache control directive will be included in header

    - #### isPrivate

          public boolean isPrivate()

      Description copied from interface: `CacheControl`
      Get the private cache control directive.
      Specified by:
        `isPrivate` in interface `CacheControl`
      Returns:
        true if the private cache control directive will be included in header

    - #### isNoTransform

          public boolean isNoTransform()

      Description copied from interface: `CacheControl`
      Get the no-transform cache control directive.
      Specified by:
        `isNoTransform` in interface `CacheControl`
      Returns:
        true if the no-transform cache control directive will be included in header

    - #### isNoStore

          public boolean isNoStore()

      Description copied from interface: `CacheControl`
      Get the no-store cache control directive.
      Specified by:
        `isNoStore` in interface `CacheControl`
      Returns:
        true if the no-store cache control directive will be included in header

    - #### asHeader

          public Optional<String> asHeader()

      Description copied from interface: `CacheControl`
      Returns the cache-control directives as HTTP header value
      Specified by:
        `asHeader` in interface `CacheControl`
      Returns:
        Cache-control directives HTTP header value

Copyright © 2019 The Holon Platform. All rights reserved.